PDA

View Full Version : Error: "Incompatible version of the RPC stub" - what is it?



NewsArchive
12-16-2001, 01:00 AM
Hi all,

One of my users, when trying to install, gets the above error:
Error number; 0x80070725
Description: Incompatible version of the RPC stub
Setup will now terminate

I'm using InstallShield 6.2. The user is using IE 6.0, Windows 98. Any ideas
what can it be?

Thanks for _any_ ideas...
best,
Lior

NewsArchive
12-16-2001, 01:00 AM
There's currently an epidemic of this problem. It's a really new problem,
because Microsoft in their wisdom, made a version of the OLEAUT32.DLL (et.
al), version 3.50, that is incompatible with Windows 98. IMHO this was a
big mistake by Microsoft and the worst form of DLL HELL. It comes with the
version that ships with Windows XP.

Someone has made an install that includes this new DLL, thereby destroying
your system. Here is a fix

Download:

download.microsoft.com/download/msninvestor/Patch/1.0/WIN98/EN-US/mcrepair.E
XE


Then run it, and when it prompts you to overwrite newer files, make sure you
click YES for each file (not "No" or "No to all")

This will replace all of the 3.50 DLLs from XP with older versions
compatible with Windows 98 (2.40.4515)

NOTE TO ALL INSTALL DEVELOPERS: DO NOT INCLUDE THE WINDOWS XP VERSION OF
OLEAUT32.DLL, OLEPRO32.DLL, ASYCFILT.DLL and STDOLE2.TLB in your setup. It
is causing great pain everywhere.

Ted.

"Lior Messinger" <liorm@infogateonline.com> wrote in message
news:3c1cb8ae@news.installshield.com...
> Hi all,
>
> One of my users, when trying to install, gets the above error:
> Error number; 0x80070725
> Description: Incompatible version of the RPC stub
> Setup will now terminate
>
> I'm using InstallShield 6.2. The user is using IE 6.0, Windows 98. Any
ideas
> what can it be?
>
> Thanks for _any_ ideas...
> best,
> Lior
>
>

NewsArchive
12-16-2001, 01:00 AM
There's currently an epidemic of this problem. It's a really new problem,
because Microsoft in their wisdom, made a version of the OLEAUT32.DLL (et.
al), version 3.50, that is incompatible with Windows 98. IMHO this was a
big mistake by Microsoft and the worst form of DLL HELL. It comes with the
version that ships with Windows XP.

Someone has made an install that includes this new DLL, thereby destroying
your system. Here is a fix

Download:

download.microsoft.com/download/msninvestor/Patch/1.0/WIN98/EN-US/mcrepair.E
XE


Then run it, and when it prompts you to overwrite newer files, make sure you
click YES for each file (not "No" or "No to all")

This will replace all of the 3.50 DLLs from XP with older versions
compatible with Windows 98 (2.40.4515)

NOTE TO ALL INSTALL DEVELOPERS: DO NOT INCLUDE THE WINDOWS XP VERSION OF
OLEAUT32.DLL, OLEPRO32.DLL, ASYCFILT.DLL and STDOLE2.TLB in your setup. It
is causing great pain everywhere.

Ted.

"Lior Messinger" <liorm@infogateonline.com> wrote in message
news:3c1cb8ae@news.installshield.com...
> Hi all,
>
> One of my users, when trying to install, gets the above error:
> Error number; 0x80070725
> Description: Incompatible version of the RPC stub
> Setup will now terminate
>
> I'm using InstallShield 6.2. The user is using IE 6.0, Windows 98. Any
ideas
> what can it be?
>
> Thanks for _any_ ideas...
> best,
> Lior
>
>

NewsArchive
12-16-2001, 01:00 AM
There's currently an epidemic of this problem. It's a really new problem,
because Microsoft in their wisdom, made a version of the OLEAUT32.DLL (et.
al), version 3.50, that is incompatible with Windows 98. IMHO this was a
big mistake by Microsoft and the worst form of DLL HELL. It comes with the
version that ships with Windows XP.

Someone has made an install that includes this new DLL, thereby destroying
your system. Here is a fix

Download:

download.microsoft.com/download/msninvestor/Patch/1.0/WIN98/EN-US/mcrepair.E
XE


Then run it, and when it prompts you to overwrite newer files, make sure you
click YES for each file (not "No" or "No to all")

This will replace all of the 3.50 DLLs from XP with older versions
compatible with Windows 98 (2.40.4515)

NOTE TO ALL INSTALL DEVELOPERS: DO NOT INCLUDE THE WINDOWS XP VERSION OF
OLEAUT32.DLL, OLEPRO32.DLL, ASYCFILT.DLL and STDOLE2.TLB in your setup. It
is causing great pain everywhere.

Ted.

"Lior Messinger" <liorm@infogateonline.com> wrote in message
news:3c1cb8ae@news.installshield.com...
> Hi all,
>
> One of my users, when trying to install, gets the above error:
> Error number; 0x80070725
> Description: Incompatible version of the RPC stub
> Setup will now terminate
>
> I'm using InstallShield 6.2. The user is using IE 6.0, Windows 98. Any
ideas
> what can it be?
>
> Thanks for _any_ ideas...
> best,
> Lior
>
>